## realpath 1.10

=== Makefile ===
#
# Makefile for realpath.
# "@(#)realpath:$Id: Makefile,v 1.30 2006-05-07 19:41:41 robert Exp $"
#

VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')

CC	= gcc
CFLAGS	= -Wall -Wstrict-prototypes -Wmissing-prototypes -DVERSION='"$(VERSION)"' 
LDFLAGS	=


ifeq (,$(findstring nodebug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  LDFLAGS += -s
endif


prefix		= debian/realpath

bindir		= $(prefix)/usr/bin
man1dir		= $(prefix)/usr/share/man/man1

bin		= realpath
man1		= man/*.1

generated	= realpath 

all: $(source_links) $(generated)


realpath: realpath.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

	
debug:
	DEB_BUILD_OPTIONS=noopt,nostrip $(MAKE) all


clean:
	rm -f $(source_links)
	rm -f core *.o $(generated)


installdirs:
	for i in $(prefix) $(man1dir) ; \
	do  \
		echo "$$i"; \
		test -d $$i || install -p -d $$i; \
	done

install: installdirs

	install -p -m 0755 $(bin) $(bindir)
	install -p -m 0644 $(man1) $(man1dir)


.PHONY: all debug clean install installdirs

=== debian/changelog ===
realpath (1.10) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun,  4 Jun 2006 16:31:19 +0200

realpath (1.9.94) experimental; urgency=low

  * Move realpath to its own source package. dwww no longer depends
    on realpath so there's no reason to keep them together.
  * Bump Standards-Version to 3.7.2 (no changes needed).
  * debian/compat: Use debhelper v5.
  * realpath.1: Update the examples section (/usr/bin/X11R6 link).

  * REMOVE DWWW-SPECIFIC CHANGES FROM THE REMAINING OF THIS CHANGELOG,
    which makes the file about 17 times shorter.
    Please see the dwww package for the full changelog.

 -- Robert Luberda <robert@debian.org>  Sun,  7 May 2006 21:46:27 +0200

dwww (1.9.90) experimental; urgency=low

  * Dwww/Utils.pl:
    + Add CheckAccesss & StripDir functions, to check if we're allowed to
      show the requested file to client. Now we're using Cwd::realpath
      module instead of realpath(1) program.
  * debian/control: add dependency on libmime-types-perl & mime-support,
    drop dependency on realpath.
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Sat, 18 Feb 2006 16:19:41 +0100

dwww (1.9.27) unstable; urgency=low

  * realpath.1: add reference to basename(1) and dirname(1) (closes: #342149).
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Sat, 14 Jan 2006 12:06:10 +0100

dwww (1.9.23) unstable; urgency=low

  * realpath: implement --zero option (closes: #307018), update man page.
  * Standards-Version: 3.6.2.
  * [ snip dwww changes ]
  
 -- Robert Luberda <robert@debian.org>  Thu, 23 Jun 2005 22:56:34 +0200

dwww (1.9.12) unstable; urgency=medium

  * `realpath -s' works with relative pathnames again (closes: #253494).

 -- Robert Luberda <robert@debian.org>  Mon, 14 Jun 2004 23:43:59 +0200

dwww (1.9.11) unstable; urgency=low

  * Correct `realpath -s' which incorrectly treated all files containing
    `.' or `..' as if they were the `.' or `..' directories (closes: #250455).
    Thanks to mwright@acad.stedwards.edu for noticing this.
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Mon, 24 May 2004 21:36:30 +0200

dwww (1.9.7) unstable; urgency=low

  * Minor improvements in the realpath(1) man page.
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2004 12:02:43 +0100

dwww (1.7.3) unstable; urgency=low

  * realpath -s does not check if file exists.
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Tue, 19 Mar 2002 08:07:04 +0100

dwww (1.6.12) unstable; urgency=low

  * Fixed long description of realpath package (closes: #125306, #124253).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2001 21:52:27 +0100

dwww (1.6.11) unstable; urgency=low

  * realpath moved to a separate package (closes: #52483).
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Sat,  8 Dec 2001 08:47:03 +0100

dwww (1.6.6) unstable; urgency=low

  * realpath.c: added a -s option.
  * [ snip dwww changes ]
 
 -- Robert Luberda <robert@debian.org>  Thu, 23 Aug 2001 23:49:23 +0200

dwww (1.5.0) unstable; urgency=low

  * New maintainer (closes: #90877).
  * realpath: accept multiple arguments as documented in man page
    (closes: #65628).
  * Updated man pages.
  * [ snip dwww changes ]

 -- Robert Luberda <robert@debian.org>  Mon, 26 Mar 2001 22:56:32 +0200

dwww (1.2.1-1) unstable; urgency=low

  * New maintainer, Jim Pick <jim@jimpick.com>
  * [ snip dwww changes ]

 -- Jim Pick <jim@jimpick.com>  Sun, 15 Dec 1996 23:25:55 -0800

dwww (1.0-1) unstable; urgency=low

  * First release.

 -- Lars Wirzenius <liw@iki.fi>  Tue, 24 Sep 1996 16:00:57 +0300

=== debian/control ===
Source: realpath
Section: utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: realpath
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Replaces: dwww (<= 1.6.10)
Description: Return the canonicalized absolute pathname
 The package contains a small utility realpath, which converts each
 pathname argument to an absolute pathname, which has no components
 that are symbolic links or the special .  or ..  directory entries.
 .
 This utility provides mostly the same functionality as `/bin/readlink -f'
 in the coreutils package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=$(CURDIR)/debian/$(shell dh_listpackages) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## realpath 1.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for realpath.
-# "@(#)realpath:$Id: Makefile,v 1.30 2006-05-07 19:41:41 robert Exp $"
+# "@(#)realpath:$Id: Makefile 222 2008-04-01 22:24:09Z robert $"
 #
 
 VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')

=== debian/changelog ===
realpath (1.12) unstable; urgency=low

  * realpath.c, debian/copyright: add a copyright notice (lintian).
  * Build with debhelper v6.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Apr 2008 18:19:27 +0200

realpath (1.11) unstable; urgency=low

  * Standards-Version: 3.7.3 (no changes).
  * Fix `debian-rules-ignores-make-clean-error' and
    `hyphen-used-as-minus-sign' lintian warnings.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Jan 2008 00:00:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 6)
+Standards-Version: 3.7.3
 
 Package: realpath
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+# $Id: rules 222 2008-04-01 22:24:09Z robert $
 # Sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess. 
 
@@ -20,7 +21,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 	#-$(MAKE) distclean
 
 	dh_clean

## realpath 1.15

=== debian/changelog ===
realpath (1.15) unstable; urgency=low

  * Update French man page translation (closes: #52376).
  * Add German translations (closes: #52307, #524006). 
  * po/pod/po4a.cfg: use [po_directory], instead of [po4a_langs].
  * debian/control: bump po4a build-dependency to 0.35 to make sure
    the above feature works.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 22:13:22 +0200

realpath (1.14) unstable; urgency=low

  * Add French translations (closes: #520613).
  * Standards-Version: 3.8.1 (no changes).
  * Fix man page (closes: #521574).

 -- Robert Luberda <robert@debian.org>  Sun, 29 Mar 2009 15:42:22 +0200

realpath (1.13) unstable; urgency=low

  * Improve realpath(1) man page, add examples for use cases found by
    Rolf Brudeseth.
  * NLS support added both to program and its man page.
  * Provide Polish translations.
  * Set debhelper compat level to 7.
  * Improve build system.
  * Standards-Version: 3.8.0 (no changes).
  * debian/copyright: point to GPL-2 file (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 22 Feb 2009 12:56:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 6)
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7), po4a (>= 0.35)
+Standards-Version: 3.8.1
 
 Package: realpath
-Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}
 Replaces: dwww (<= 1.6.10)

## realpath 1.15build1

=== Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 228 2009-02-21 10:54:32Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := man src po
include ./common.mk

=== man/Makefile ===
# vim:ts=2
# Makefile for realpath
# "@(#)dwww:$Id: Makefile 228 2009-02-21 10:54:32Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := 
include ../common.mk

man1mans	:= $(sort $(wildcard *.1))

install-local:
	$(call msg,$@)
	$(call install,$(mandir)/man1,$(man1mans),compress)

=== debian/changelog ===
realpath (1.15build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:03:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# $Id: rules 222 2008-04-01 22:24:09Z robert $
+# $Id: rules 228 2009-02-21 10:54:32Z robert $
 # Sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess. 
 
@@ -30,11 +30,11 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) prefix=$(CURDIR)/debian/$(shell dh_listpackages) install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/$(shell dh_listpackages) install
 
 # Build architecture-independent files here.
 binary-indep: build install

## realpath 1.16

=== debian/changelog ===
realpath (1.16) unstable; urgency=low

  * Fix build failure with -O0 (closes: #644533).
  * Document that realpath fails when path components is missing
    (closes: #528997).
  * Switch to format 3.0 (native) and use tiny rules file.
  * debian/control:
    + Standards-Version: 3.9.2 (no changes).
    + add VCS fields.

 -- Robert Luberda <robert@debian.org>  Sun, 16 Oct 2011 22:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 7), po4a (>= 0.35)
-Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 8), po4a (>= 0.35)
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/users/robert/realpath.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/realpath.git
+
 
 Package: realpath
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: dwww (<= 1.6.10)
 Description: Return the canonicalized absolute pathname
  The package contains a small utility realpath, which converts each

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

## realpath 1.17

=== po/man/Makefile ===
# vim:ts=2
# makefile for realpath
# $Id: Makefile 229 2009-02-22 11:56:47Z robert $
#

ALL_TARGET=build-local
SUBDIRS=
include ../../common.mk

SOURCE_FILES=$(shell sed -ne 's/^\[type: man\] \$$(srcdir)\/\([^ ]*\)*.*$$/..\/..\/\1/p' < po4a.cfg)
build-local: $(bdir)/stamp-po4a
  
$(bdir)/stamp-po4a: po4a.cfg $(wildcard *.po) $(SOURCE_FILES) $(MAKEFILE_LIST)
	$(call msg,$@)
	po4a  $(XGETTEXT_COMMON_OPTIONS)          \
	      --previous                          \
	      -v                                  \
	      --variable srcdir=../..             \
	      --variable builddir=$(bdir)         \
	      po4a.cfg
	touch "$@"

install-local: $(bdir)/stamp-po4a
	$(call msg,$@)
	set -e; \
	cd $(bdir); \
	for file in */man*/*.[123456789]; do          \
	  basedir=`dirname $$file`;                   \
	  dir=$(mandir)/$$basedir;         						\
	  $(call install,$$dir,$$file,compress)       \
	done


update-po:
	$(call msg,$@)
	po4a  $(XGETTEXT_COMMON_OPTIONS)          \
	      --previous                          \
	      --force                             \
	      -v                                  \
	      --variable srcdir=../..             \
	      --variable builddir=$(bdir)         \
	      po4a.cfg


.PHONY: update-po

=== debian/changelog ===
realpath (1.17) unstable; urgency=low

  * French man page translation update (closes: #671205).
  * Minor man page typo fix, unfuzzy translations.
  * Preserve CFLAGS from environment to make sure the hardening options
    set by debhelper are correctly passed to gcc.
  * Standards-Version: 3.9.3. Debhelper v9.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Jun 2012 19:32:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 8), po4a (>= 0.35)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), po4a (>= 0.35)
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/users/robert/realpath.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/realpath.git

## realpath 1.17ubuntu1

=== debian/changelog ===
realpath (1.17ubuntu1) raring; urgency=low

  * Mark as Multi-Arch: foreign.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Dec 2012 11:49:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 Package: realpath
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: dwww (<= 1.6.10)
 Description: Return the canonicalized absolute pathname

## realpath 1.18

=== po/Makefile ===
# vim:ts=2
# makefile for realpath
# $Id: Makefile 229 2009-02-22 11:56:47Z robert $
#

ALL_TARGET=
SUBDIRS=bin man
include ../common.mk

=== src/Makefile ===
# vim:ts=2
# Makefile for realapth
# $Id: Makefile 228 2009-02-21 10:54:32Z robert $"
#
ALL_TARGET  := all-local
SUBDIRS     :=
include ../common.mk



generated	= $(bdir)/realpath

perlprogs       = dwww-find dwww-build-menu dwww-index++
testprogs       := $(patsubst %,%.test,$(perlprogs))

all-local: $(generated)


$(bdir)/%: $(bdir)/%.o | $(bdir)
	$(call msg,$@,Linking)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

$(bdir)/%.o: %.c | $(bdir)
	$(call msg,$@,Compiling)
	$(CC) -c $(CFLAGS) -o $@ $<
 

install-local:
	$(call msg,$@)
	$(call install,$(bindir),$(generated),script) 

.SECONDARY: $(patsubst %.c,$(bdir)/%.o,$(wildcard %.c))

=== po/bin/Makefile ===
# vim:ts=2
# makefile for realpath
# $Id: Makefile 229 2009-02-22 11:56:47Z robert $
#

ALL_TARGET=build-local
SUBDIRS=
include ../../common.mk

NLS_SOURCES 		:= ../../src/realpath.c
POFILES					:= $(sort $(wildcard *.po))
MOFILES				  := $(patsubst %.po,$(bdir)/%.mo,$(POFILES))


build-local: $(MOFILES)
	$(call msg,$@)


install-local: $(MOFILES)
	$(call msg,$@)
	$(foreach file,$(MOFILES),	\
		$(call install,$(nlsdir)/$(notdir $(basename $(file)))/LC_MESSAGES/$(PACKAGE).mo,$(file),notdir))

$(bdir)/%.mo: %.po
	$(call msg,$@)
	mkdir -p $(bdir)
	msgfmt  -o $@ $<

$(PACKAGE).pot:	$(NLS_SOURCES) | $(MAKEFILE_LIST)
	$(call msg,$@)
	xgettext -L C  -k -k_  $(XGETTEXT_COMMON_OPTIONS) -o $@.new $^
	$(call pochanged,$@,$@.new)

%.po: $(PACKAGE).pot
	$(call msg,$@)
	msgmerge --previous $@ $< > $@.new
	$(call pochanged,$@,$@.new)

update-po: 
	$(call msg,$@)
	$(MAKE) -W $(firstword $(NLS_SOURCES)) $(POFILES) 


.PHONY: update-po

=== debian/changelog ===
realpath (1.18) unstable; urgency=low

  * Mark package as `Multi-Arch: foreign' (closes: #693961).

 -- Robert Luberda <robert@debian.org>  Mon, 10 Dec 2012 22:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/users/robert/realpath.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/realpath.git
-
 
 Package: realpath
 Architecture: any

## realpath 1.19

=== Makefile ===
# vim:ts=2
# Makefile for realpath

ALL_TARGET  :=
SUBDIRS     := man src po
include ./common.mk

=== man/Makefile ===
# vim:ts=2
# Makefile for realpath

ALL_TARGET  :=
SUBDIRS     := 
include ../common.mk

man1mans	:= $(sort $(wildcard *.1))

install-local:
	$(call install,$(mandir)/man1,$(man1mans),compress)

=== po/Makefile ===
# vim:ts=2
# makefile for realpath

ALL_TARGET=
SUBDIRS=bin man
include ../common.mk

=== src/Makefile ===
# vim:ts=2
# Makefile for realapth
ALL_TARGET  := all-local
SUBDIRS     :=
include ../common.mk

generated	= $(bdir)/realpath

perlprogs       = dwww-find dwww-build-menu dwww-index++
testprogs       := $(patsubst %,%.test,$(perlprogs))

all-local: $(generated)


$(bdir)/%: $(bdir)/%.o | $(bdir)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

$(bdir)/%.o: %.c | $(bdir)
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
 

install-local:
	$(call install,$(bindir),$(generated),script) 

.SECONDARY: $(patsubst %.c,$(bdir)/%.o,$(wildcard %.c))

=== po/bin/Makefile ===
# vim:ts=2
# makefile for realpath

ALL_TARGET=build-local
SUBDIRS=
include ../../common.mk

NLS_SOURCES 		:= ../../src/realpath.c
POFILES					:= $(sort $(wildcard *.po))
MOFILES				  := $(patsubst %.po,$(bdir)/%.mo,$(POFILES))


build-local: $(MOFILES)


install-local: override ATT := $(AT)
install-local: override AT  :=
install-local: $(MOFILES)
	$(ATT) $(foreach file,$(MOFILES),	\
		$(call install,$(nlsdir)/$(notdir $(basename $(file)))/LC_MESSAGES/$(PACKAGE).mo,$(file),notdir))

$(bdir)/%.mo: %.po
	$(AT) mkdir -p $(bdir)
	msgfmt  -o $@ $<

$(PACKAGE).pot:	$(NLS_SOURCES) | $(MAKEFILE_LIST)
	xgettext -L C  -k -k_  $(XGETTEXT_COMMON_OPTIONS) -o $@.new $^
	$(call pochanged,$@,$@.new)

%.po: $(PACKAGE).pot
	msgmerge --previous $@ $< > $@.new
	$(call pochanged,$@,$@.new)

update-po: 
	$(MAKE) -W $(firstword $(NLS_SOURCES)) $(POFILES) 


.PHONY: update-po

=== po/man/Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 # vim:ts=2
 # makefile for realpath
-# $Id: Makefile 229 2009-02-22 11:56:47Z robert $
-#
 
 ALL_TARGET=build-local
 SUBDIRS=
@@ -11,18 +9,18 @@
 build-local: $(bdir)/stamp-po4a
   
 $(bdir)/stamp-po4a: po4a.cfg $(wildcard *.po) $(SOURCE_FILES) $(MAKEFILE_LIST)
-	$(call msg,$@)
 	po4a  $(XGETTEXT_COMMON_OPTIONS)          \
 	      --previous                          \
 	      -v                                  \
 	      --variable srcdir=../..             \
 	      --variable builddir=$(bdir)         \
 	      po4a.cfg
-	touch "$@"
+	$(AT) touch "$@"
 
+install-local: override ATT := $(AT)
+install-local: override AT  :=
 install-local: $(bdir)/stamp-po4a
-	$(call msg,$@)
-	set -e; \
+	$(ATT) set -e; \
 	cd $(bdir); \
 	for file in */man*/*.[123456789]; do          \
 	  basedir=`dirname $$file`;                   \
@@ -32,7 +30,6 @@
 
 
 update-po:
-	$(call msg,$@)
 	po4a  $(XGETTEXT_COMMON_OPTIONS)          \
 	      --previous                          \
 	      --force                             \

=== debian/changelog ===
realpath (1.19) unstable; urgency=low

  * Add support for cross-compiling (closes: #719911).
  * Update Makefiles to make build process more verbose.
  * Standards-Version: 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 06 Oct 2013 14:16:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), po4a (>= 0.35)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/users/robert/realpath.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/realpath.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC = $(DEB_HOST_GNU_TYPE)-gcc
else
  export CC = gcc
endif

%:
	dh $@
